## org.apache.batik.css.engine
Class CSSEngine.StyleSheetDocumentHandler

    java.lang.Object
      org.apache.batik.css.engine.CSSEngine.DocumentAdapter
          org.apache.batik.css.engine.CSSEngine.StyleSheetDocumentHandler

All Implemented Interfaces:
  DocumentHandler, ShorthandManager.PropertyHandler

Enclosing class:
  CSSEngine

protected class CSSEngine.StyleSheetDocumentHandler
extends CSSEngine.DocumentAdapter
implements ShorthandManager.PropertyHandler

To parse a style sheet.

Field Summary
`protected StyleDeclaration` `styleDeclaration`
`protected StyleRule` `styleRule`
`StyleSheet` `styleSheet`

Constructor Summary
`protected` `CSSEngine.StyleSheetDocumentHandler()`

Method Summary
`void` `endDocument(InputSource source)` SAC: Implements `DocumentHandler.endDocument(InputSource)`.
`void` `endFontFace()` SAC: Implements `DocumentHandler.endFontFace()`.
`void` `endMedia(SACMediaList media)` SAC: Implements `DocumentHandler.endMedia(SACMediaList)`.
`void` `endPage(java.lang.String name, java.lang.String pseudo_page)` SAC: Implements `DocumentHandler.endPage(String,String)`.
`void` `endSelector(SelectorList selectors)` SAC: Implements `DocumentHandler.endSelector(SelectorList)`.
`void` `ignorableAtRule(java.lang.String atRule)` SAC: Implements `DocumentHandler.ignorableAtRule(String)`.
`void` `importStyle(java.lang.String uri, SACMediaList media, java.lang.String defaultNamespaceURI)` SAC: Implements `DocumentHandler.importStyle(String,SACMediaList,String)`.
`void` `property(java.lang.String name, LexicalUnit value, boolean important)` SAC: Implements `DocumentHandler.property(String,LexicalUnit,boolean)`.
`void` `startDocument(InputSource source)` SAC: Implements `DocumentHandler.startDocument(InputSource)`.
`void` `startFontFace()` SAC: Implements `DocumentHandler.startFontFace()`.
`void` `startMedia(SACMediaList media)` SAC: Implements `DocumentHandler.startMedia(SACMediaList)`.
`void` `startPage(java.lang.String name, java.lang.String pseudo_page)` SAC: Implements `DocumentHandler.startPage(String,String)`.
`void` `startSelector(SelectorList selectors)` SAC: Implements `DocumentHandler.startSelector(SelectorList)`.

Methods inherited from class org.apache.batik.css.engine.CSSEngine.DocumentAdapter
`comment, namespaceDeclaration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### styleSheet

    public StyleSheet styleSheet

### styleRule

    protected StyleRule styleRule

### styleDeclaration

    protected StyleDeclaration styleDeclaration

Constructor Detail

### CSSEngine.StyleSheetDocumentHandler

    protected CSSEngine.StyleSheetDocumentHandler()

Method Detail

### startDocument

    public void startDocument(InputSource source)
                       throws CSSException

  SAC: Implements `DocumentHandler.startDocument(InputSource)`.

  Specified by:
    `startDocument` in interface `DocumentHandler`
  Overrides:
    `startDocument` in class `CSSEngine.DocumentAdapter`
  Throws:
    `CSSException`

### endDocument

    public void endDocument(InputSource source)
                     throws CSSException

  SAC: Implements `DocumentHandler.endDocument(InputSource)`.

  Specified by:
    `endDocument` in interface `DocumentHandler`
  Overrides:
    `endDocument` in class `CSSEngine.DocumentAdapter`
  Throws:
    `CSSException`

### ignorableAtRule

    public void ignorableAtRule(java.lang.String atRule)
                         throws CSSException

  SAC: Implements `DocumentHandler.ignorableAtRule(String)`.

  Specified by:
    `ignorableAtRule` in interface `DocumentHandler`
  Overrides:
    `ignorableAtRule` in class `CSSEngine.DocumentAdapter`
  Throws:
    `CSSException`

### importStyle

    public void importStyle(java.lang.String uri,
                            SACMediaList media,
                            java.lang.String defaultNamespaceURI)
                     throws CSSException

  SAC: Implements `DocumentHandler.importStyle(String,SACMediaList,String)`.

  Specified by:
    `importStyle` in interface `DocumentHandler`
  Overrides:
    `importStyle` in class `CSSEngine.DocumentAdapter`
  Throws:
    `CSSException`

### startMedia

    public void startMedia(SACMediaList media)
                    throws CSSException

  SAC: Implements `DocumentHandler.startMedia(SACMediaList)`.

  Specified by:
    `startMedia` in interface `DocumentHandler`
  Overrides:
    `startMedia` in class `CSSEngine.DocumentAdapter`
  Throws:
    `CSSException`

### endMedia

    public void endMedia(SACMediaList media)
                  throws CSSException

  SAC: Implements `DocumentHandler.endMedia(SACMediaList)`.

  Specified by:
    `endMedia` in interface `DocumentHandler`
  Overrides:
    `endMedia` in class `CSSEngine.DocumentAdapter`
  Throws:
    `CSSException`

### startPage

    public void startPage(java.lang.String name,
                          java.lang.String pseudo_page)
                   throws CSSException

  SAC: Implements `DocumentHandler.startPage(String,String)`.

  Specified by:
    `startPage` in interface `DocumentHandler`
  Overrides:
    `startPage` in class `CSSEngine.DocumentAdapter`
  Throws:
    `CSSException`

### endPage

    public void endPage(java.lang.String name,
                        java.lang.String pseudo_page)
                 throws CSSException

  SAC: Implements `DocumentHandler.endPage(String,String)`.

  Specified by:
    `endPage` in interface `DocumentHandler`
  Overrides:
    `endPage` in class `CSSEngine.DocumentAdapter`
  Throws:
    `CSSException`

### startFontFace

    public void startFontFace()
                       throws CSSException

  SAC: Implements `DocumentHandler.startFontFace()`.

  Specified by:
    `startFontFace` in interface `DocumentHandler`
  Overrides:
    `startFontFace` in class `CSSEngine.DocumentAdapter`
  Throws:
    `CSSException`

### endFontFace

    public void endFontFace()
                     throws CSSException

  SAC: Implements `DocumentHandler.endFontFace()`.

  Specified by:
    `endFontFace` in interface `DocumentHandler`
  Overrides:
    `endFontFace` in class `CSSEngine.DocumentAdapter`
  Throws:
    `CSSException`

### startSelector

    public void startSelector(SelectorList selectors)
                       throws CSSException

  SAC: Implements `DocumentHandler.startSelector(SelectorList)`.

  Specified by:
    `startSelector` in interface `DocumentHandler`
  Overrides:
    `startSelector` in class `CSSEngine.DocumentAdapter`
  Throws:
    `CSSException`

### endSelector

    public void endSelector(SelectorList selectors)
                     throws CSSException

  SAC: Implements `DocumentHandler.endSelector(SelectorList)`.

  Specified by:
    `endSelector` in interface `DocumentHandler`
  Overrides:
    `endSelector` in class `CSSEngine.DocumentAdapter`
  Throws:
    `CSSException`

### property

    public void property(java.lang.String name,
                         LexicalUnit value,
                         boolean important)
                  throws CSSException

  SAC: Implements `DocumentHandler.property(String,LexicalUnit,boolean)`.

  Specified by:
    `property` in interface `ShorthandManager.PropertyHandler`
  Overrides:
    `property` in class `CSSEngine.DocumentAdapter`
  Throws:
    `CSSException`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.